variable "project_name" {
  description = "Nom du projet cidr"
  type        = string
  default     = "mon-projet"
}

variable "region" {
  description = "region du cidr"
  type        = string
  default     = "mon-projet"
}

variable "frontend_cidr" {
  description = "CIDR for frontend subnet"
  type        = string
  default     = "10.0.1.0/24"
}

variable "backend_cidr" {
  description = "CIDR for backend subnet"
  type        = string
  default     = "10.0.2.0/24"
}

variable "database_cidr" {
  description = "CIDR for database subnet"
  type        = string
  default     = "10.0.3.0/24"
}

variable "ssh_source_ranges" {
  description = "ssh_source_range du projet cidr"
  type        = string
  default     = "mon-projet"
}


variable "project_id" {
  description = "id du projet"
  type        = string
  default     = "model-cirrus-478713-u8"
}


variable "instance_type" {
  description = "Nom du projet cidr"
  type        = string
  default = ""
}


variable "zone" {
  description = "Nom du projet cidr"
  type        = string
  default = "value"
}
